<div class="row container">
  <div class="col-md-3">
    <div class="card card-custom bg-primary card-stretch gutter-b">
      <div class="card-body position-relative overflow-hidden">
        <h1
          class="text-white"
          [countUp]="userNUmber.length"
          [options]="cUPoptions"
        >
          0
        </h1>
        <span class="text-white">Utilisateurs</span>
      </div>
    </div>
  </div>
  <div class="col-md-3">
    <div class="card card-custom bg-info card-stretch gutter-b">
      <div class="card-body position-relative overflow-hidden">
        <h1
          class="text-white"
          [countUp]="buyBookNumber.length"
          [options]="cUPoptions"
        >
          0
        </h1>
        <span class="text-white">Achat livres</span>
      </div>
    </div>
  </div>
  <div class="col-md-3">
    <div class="card card-custom bg-white card-stretch gutter-b">
      <div class="card-body position-relative overflow-hidden">
        <h1
          class="text-dark"
          [countUp]="buyTrainingNumberO.length"
          [options]="cUPoptions"
        >
          0
        </h1>
        <span>Achat formation (online)</span>
      </div>
    </div>
  </div>
  <div class="col-md-3">
    <div class="card card-custom bg-dark-75 card-stretch gutter-b">
      <div class="card-body position-relative overflow-hidden">
        <h1
          class="text-white"
          [countUp]="buyTrainingNumberP.length"
          [options]="cUPoptions"
        >
          0
        </h1>
        <span class="text-white">Achat formation (présentielle)</span>
      </div>
    </div>
  </div>
</div>
<div class="row container">
  <div class="col-md-7">
    <div class="card card-custom bg-white card-stretch gutter-b">
      <!--begin::Header-->
      <div class="card-header border-0 bg-gray-100 py-5">
        <h3 class="card-title font-weight-bolder text-dark">
          Total Transactions
          <small class="text-white ml-1"> </small>
        </h3>
        <div class="">
          <ng-select
                  name="year"
                  [items]="yearItems"
                  (change)="change($event)"
                  [(ngModel)]="selectedyearItem"
                  bindLabel="name"
                  bindValue="id"
                >
                </ng-select>
        </div>
      </div>
      <!--end::Header-->
      <!--begin::Body-->
      <div class="card-body p-0 position-relative overflow-hidden">
        <div class="chart-wrapper">
          <canvas
            baseChart
            [datasets]="lineChartData"
            [labels]="lineChartLabels"
            [options]="lineChartOptions"
            [colors]="lineChartColors"
            [legend]="lineChartLegend"
            [chartType]="lineChartType"
            [plugins]="lineChartPlugins"
          >
          </canvas>
        </div>
        <!--end::Body-->
      </div>
    </div>
  </div>
  <div class="col-md-5">
    <div class="card card-custom bg-white card-stretch gutter-b">
      <!--begin::Header-->
      <div class="card-header border-0 bg-gray-100 py-5">
        <h3 class="card-title font-weight-bolder text-dark">
          Abonnements
          <small class="text-white ml-1"> </small>
        </h3>
        <div class="card-toolbar"></div>
      </div>
      <!--end::Header-->
      <!--begin::Body-->
      <div class="card-body p-0 position-relative overflow-hidden">
        <div class="chart-wrapper mt-5">
          <canvas
            baseChart
            [data]="doughnutChartData"
            [labels]="doughnutChartLabels"
            [chartType]="doughnutChartType"
          >
          </canvas>
        </div>
        <!--end::Body-->
      </div>
    </div>
  </div>
</div>
